# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-txzmq
%global modname txZMQ

Name:             python-module-txzmq
Version:          0.6.1
Release:          alt1_3
Summary:          Twisted bindings for ZeroMQ

Group:            Development/Python
License:          GPLv2
URL:              http://pypi.python.org/pypi/%{modname}
Source0:          http://pypi.python.org/packages/source/t/%{modname}/%{modname}-%{version}.tar.gz
Patch0:           0001-Disable-epgm-test.patch
Patch1:           0002-Support-older-pyzmq.patch
# Upstream - https://github.com/smira/txZMQ/pull/38
Patch2:           0003-Allow-the-user-to-set-TCP-keepalive-options.patch

BuildArch:        noarch


BuildRequires:    python-devel
BuildRequires:    python-module-setuptools
BuildRequires:    python-module-nose
BuildRequires:    python-module-zmq
BuildRequires:    python-module-twisted

Requires:         python-module-zmq
Requires:         python-module-twisted
Source44: import.info

%description
txZMQ allows to integrate easily `ZeroMQ <http://zeromq.org>`_ sockets into
Twisted event loop (reactor).

%prep
%setup -q -n %{modname}-%{version}
%patch0 -p1 -b .disable_epgm_test
%patch1 -p1 -b .disable-older-pyzmq
%patch2 -p1 -b .allow-tcp-keepalive

# Patch out the setuptools requirement on Twisted since epel doesn't ship
# twisted egg-info
%if 0%{?rhel}
%{__sed} -i 's/"Twisted",//' setup.py
%endif

%build
%{__python} setup.py build 

%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT


%files
%doc README.rst LICENSE.txt

%{python_sitelibdir_noarch}/* 

%changelog
* Fri Jan 04 2013 Igor Vlasenko <viy@altlinux.ru> 0.6.1-alt1_3
- initial fc import

